PHP Manual
Prev |  | Next

# sqlite_valid

(PHP 5)

sqlite_valid

(no version information, might be only in CVS)

SQLiteResult->valid

(no version information, might be only in CVS)

SQLiteUnbuffered->valid -- Returns whether more rows are available

## Description

bool sqlite_valid ( resource result )

Object oriented style (method):

class SQLiteResult {
bool valid ( void )
}class SQLiteUnbuffered {
bool valid ( void )
}

Finds whether more rows are available from the given result handle.

## Parameters

`result`

  The SQLite result resource. This parameter is not required when using the object-oriented method.

  > Note: This function cannot be used with unbuffered result handles.

## Return Values

Returns `TRUE` if there are more rows available from the `result` handle, or `FALSE` otherwise.

## See Also

sqlite_num_rows()
sqlite_changes()

Prev | Home | Next
sqlite_unbuffered_query | Up | SQLite Functions (PDO_SQLITE)